package com.njcn.user.service;

import com.njcn.user.pojo.po.User;

import java.util.List;

/**
 * @author xuyang
 */
public interface IAppUserService {

    /**
     * 发送短信
     * @param phone     手机号
     * @param devCode   设备码
     * @param type      验证码类型
     */
    String setMessage(String phone, String devCode, String type);

    /**
     * 手机app注册(所有用户初始统一为游客，需要特定的码升级)
     * @param phone     手机号
     * @param code      验证码
     * @param devCode   设备码
     */
    void register(String phone, String code, String devCode);

    /**
     * 手机app已登录修改密码
     */
    void modifyPsd(String userId, String phone, String code, String password, String devCode);

    /**
     * app用户忘记密码
     */
    void resetPsd(String phone, String code, String password, String devCode, String ip);

    /**
     * 旧手机验证码确认
     */
    void confirmCode(String phone, String code, String devCode);

    /**
     * 换绑手机号
     */
    void rebindPhone(String userId, String phoneNew, String code, String devCode);

    /**
     * 更新用户设备码
     */
    void updateDevCode(String userId, String devCode);

    /**
     * 获取业务管理员信息
     */
    List<User> getAdminInfo();

}
